Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152921 - CAN-2005-0664 libexif buffer overflow
Summary: CAN-2005-0664 libexif buffer overflow
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: Package request
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-10 21:04 UTC by Marc Deslauriers
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:32:15 UTC
Buffer overflow in the EXIF library (libexif) 0.6.9 does not properly validate
the structure of the EXIF tags, which allows remote attackers to cause a denial
of service (application crash) and possibly execute arbitrary code via an image
with a crafted EXIF tag.

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-0664
https://bugzilla.redhat.com/beta/show_bug.cgi?id=150503
https://bugzilla.ubuntulinux.org/show_bug.cgi?id=7152



------- Additional Comments From marcdeslauriers@videotron.ca 2005-03-10 16:07:19 ----

Whoops...no libexif in our stuff...



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:32 -------

This bug previously known as bug 2452 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2452
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.